summaryrefslogtreecommitdiffstats
path: root/bin/phase-helpers.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2012-08-29 22:04:42 -0700
committerZac Medico <zmedico@gentoo.org>2012-08-29 22:04:42 -0700
commit6b4b621f1abcf21d3bfa54b323126a3ef11eb52c (patch)
tree7fa1b7e4ddc3c01093f2166410191b81d5c08ff2 /bin/phase-helpers.sh
parent40ef0fd75e329b789ae1fd98184b89520e9ee0c3 (diff)
downloadportage-6b4b621f1abcf21d3bfa54b323126a3ef11eb52c.tar.gz
portage-6b4b621f1abcf21d3bfa54b323126a3ef11eb52c.tar.bz2
portage-6b4b621f1abcf21d3bfa54b323126a3ef11eb52c.zip
EAPI 5: User patches (no-op dummy stub for now)
A real apply_user_patches implementation will be a bit more work, so for now we'll just implement the minimum amount necessary to satisfy the spec: http://git.overlays.gentoo.org/gitweb/?p=proj/pms.git;a=commit;h=a8bf7862967cce36b7f1b408934a774126da2538
Diffstat (limited to 'bin/phase-helpers.sh')
-rw-r--r--bin/phase-helpers.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/phase-helpers.sh b/bin/phase-helpers.sh
index 3f02c0701..3230870c2 100644
--- a/bin/phase-helpers.sh
+++ b/bin/phase-helpers.sh
@@ -598,6 +598,21 @@ _eapi4_src_install() {
fi
}
+_eapi5_src_prepare() {
+ apply_user_patches
+}
+
+apply_user_patches() {
+ die "apply_user_patches is not supported with EAPI ${EAPI}"
+}
+
+_eapi5_apply_user_patches() {
+ # This is a no-op that is just enough to fullfill the spec.
+ [[ -f ${PORTAGE_BUILDDIR}/.apply_user_patches ]] && return 1
+ > "${PORTAGE_BUILDDIR}/.apply_user_patches" || die
+ return 1
+}
+
# @FUNCTION: has_version
# @USAGE: <DEPEND ATOM>
# @DESCRIPTION: